When create subnet, you con set up the value as cidr (the value isn't cidr form).

Bug #1067959 reported by y-kawajiri on 2012-10-18
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron
Medium
Jeremy Hanmer
Folsom
Medium
Gary Kotton
quantum (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

Now, when create subnet, you con set up the value as cidr (the value isn't cidr form).

<condition>
invalid cidr format (ip address format like '10.0.9.0')
create subnet

<supposed>
We get error.

<log>
curl -v -H "X-Auth-Token:cbf9d14369ad41db831df0a3ad98ec7f" -H "Content-type: application/json" -X POST -d '{"subnet": {"name": "test_subnet9", "ip_version":4, "network_id": "67aef1b0-201c-4270-a024-5601687fa70a", "cidr": "10.0.9.0", "gateway_ip": "10.0.9.9"}}' http://192.168.122.1:9696/v2.0/subnets

 POST /v2.0/subnets HTTP/1.1
 User-Agent: curl/7.22.0 (x86_64-pc-linux-gnu) libcurl/7.22.0 OpenSSL/1.0.1 zlib/1.2.3.4 libidn/1.23 librtmp/2.3
 Host: 192.168.122.1:9696
 Accept: */*
 X-Auth-Token:cbf9d14369ad41db831df0a3ad98ec7f
 Content-type: application/json
 Content-Length: 152

 HTTP/1.1 201 Created
 Content-Type: application/json
 Content-Length: 335
 Date: Wed, 12 Sep 2012 08:40:30 GMT

{"subnet": {"name": "test_subnet9", "enable_dhcp": true, "network_id": "67aef1b0-201c-4270-a024-5601687fa70a", "tenant_id": "0e4a71389759499eb1f27d3caac6fc98", "dns_nameservers": [], "allocation_pools": [], "host_routes": [], "ip_version": 4, "gateway_ip": "10.0.9.9", "cidr": "10.0.9.0", "id": "fb8df679-3546-4f3a-a19b-5825fdf99

<result>
We get cidr value.

y-kawajiri (y-kawajiri) on 2012-10-18
description: updated
y-kawajiri (y-kawajiri) on 2012-10-18
description: updated
Mark McClain (markmcclain) wrote :

The current validation function uses netaddr.IPNetwork to validate the value. If the prefixlen is missing, IPNetwork defaults to a /32. We should update the validator to ensure that a prefix length is explicitly provided.

Changed in quantum:
status: New → Confirmed
importance: Undecided → Medium
Changed in quantum:
assignee: nobody → Jeremy Hanmer (fzylogic)
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/14552
Committed: http://github.com/openstack/quantum/commit/47f05facefb02cdd604bb8e0ebd7d00fc739cdd1
Submitter: Jenkins
Branch: master

commit 47f05facefb02cdd604bb8e0ebd7d00fc739cdd1
Author: Jeremy Hanmer <email address hidden>
Date: Thu Oct 18 16:26:41 2012 -0700

    IP subnet validation fixes

    Fixes bug #1067959

    Assure prefix length is included in CIDR definition.

    Change-Id: I32bb3dd1e5bffb409b3adee03015e21cce71caea

Changed in quantum:
status: In Progress → Fix Committed
Gary Kotton (garyk) on 2012-11-08
Changed in quantum:
milestone: none → grizzly-1
tags: added: folsom-backport-potential

Reviewed: https://review.openstack.org/15627
Committed: http://github.com/openstack/quantum/commit/4546a18cb4bfbd8b1a8fc0614e4236ec3e546b17
Submitter: Jenkins
Branch: stable/folsom

commit 4546a18cb4bfbd8b1a8fc0614e4236ec3e546b17
Author: Jeremy Hanmer <email address hidden>
Date: Thu Oct 18 16:26:41 2012 -0700

    IP subnet validation fixes

    Fixes bug #1067959

    Assure prefix length is included in CIDR definition.

    Change-Id: I32bb3dd1e5bffb409b3adee03015e21cce71caea

tags: added: in-stable-folsom
Gary Kotton (garyk) on 2012-11-11
tags: removed: folsom-backport-potential
Thierry Carrez (ttx) on 2012-11-21
Changed in quantum:
status: Fix Committed → Fix Released
Changed in quantum (Ubuntu):
status: New → Fix Released
Changed in quantum (Ubuntu Quantal):
status: New → Confirmed

Hello y-kawajiri, or anyone else affected,

Accepted quantum into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/quantum/2012.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in quantum (Ubuntu Quantal):
status: Confirmed → Fix Committed
tags: added: verification-needed
Mark McLoughlin (markmc) on 2013-01-22
tags: removed: in-stable-folsom
Launchpad Janitor (janitor) wrote :
Download full text (3.8 KiB)

This bug was fixed in the package quantum - 2012.2.1-0ubuntu1

---------------
quantum (2012.2.1-0ubuntu1) quantal-proposed; urgency=low

  * Resynchronize with stable/folsom (1e774867) (LP: #1085255):
    - [aeabb42] There are routing problems when the dnsmasq port does not come
      first in the routing table (LP: #1083238)
    - [04aab72] Quantum linux bridge not optimized with libvirt (LP: #1078210)
    - [ca7fc10] getting quotas from database has severe performance implications
      (LP: #1075369)
    - [66605e8] failed to update an external network into non external network
      (LP: #1083387)
    - [c60051a] Quantum test suite leaks memory like a sieve (LP: #1065276)
    - [3179dfc] clear_db() does incomplete db teardown (LP: #1080988)
    - [c1e19d7] Unauthorized command: cat /proc/None/cmdline (LP: #1077651)
    - [af9e076] At times a instance will not receive an IP address from the DHCP
      agent (LP: #1081664)
    - [e0d1a7d] allow multiple floating-ip on single port if they use different
      fixed ips and/or external nets (LP: #1057844)
    - [8471d79] Delete port fails to gateway ip (LP: #1079980)
    - [aca8b4a] fixed_ip allocation which is not included within
      allocation_pools makes error when delete port or re-create port
      (LP: #1077292)
    - [eacc9d3] Mapping same bridge to different phyiscal networks succeed
      (LP: #1067669)
    - [51b4c82] python-quantum: not region aware (LP: #1080793)
    - [6f0a486] delete floatingip should be in one transaction to delete port
      (LP: #1080516)
    - [db6cda7] Remove qpid configuration variables no longer supported
    - [a112840] Allow NVP plugin to use per-tenant quota extension
    - [82b1a55] Quantum service does not restart after reboot (LP: #1073999)
    - [c01a839] There are some cases that L3 API with an invalid parameter
      returns 500. (LP: #1064765)
    - [26b383f] external network can be plugged also as internal network for one
      router (LP: #1053633)
    - [49f649c] There is a lot of cases that API with an invalid parameter
      returns 500. (LP: #1062046)
    - [4546a18] When create subnet, you con set up the value as cidr (the value
      isn't cidr form). (LP: #1067959)
    - [9ba453a] killfilter should handle updated/deleted executables
      (LP: #1073768)
    - [7c8a55c] a port which is not able to delete is made when floatingip
      create fails. (LP: #1064748)
    - [c9b84cf] Linux bridge port update causes exception (LP: #1072713)
    - [cb57932] I can't add interface to router, if there is another port in
      non-shared network of other tenant (LP: #1057558)
    - [574e278] Ryu plugin does not support Security Groups (LP: #1059393)
    - [607f486] tap device added to integration bridge without tag
      (LP: #1064070)
    - [21a0fdf] L3 agent external network flag (LP: #1056720)
    - [5cbaff4] router create with external_gateway_info fails with 500 always.
      (LP: #1064235)
    - [63b81f6] l3 db operations failed in multiple transactions (LP: #1070335)
    - [bff17fb] Ensure that the SqlSoup import is still supported.
    - [e091a29] l3_nat_agent was renamed to l3_agent
    - [9030969] remove default value of 'local_ip' of 10...

Read more...

Changed in quantum (Ubuntu Quantal):
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in quantum:
milestone: grizzly-1 → 2013.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers